# Uses of Interface
org.opensaml.core.xml.persist.XMLObjectLoadSaveManager

Packages that use XMLObjectLoadSaveManager
Package
Description
org.opensaml.core.xml.persist
Components for persisting XMLObjects.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of XMLObjectLoadSaveManager in org.opensaml.core.xml.persist

Subinterfaces of XMLObjectLoadSaveManager in org.opensaml.core.xml.persist
Modifier and Type
Interface
Description
`interface`
`ConditionalLoadXMLObjectLoadSaveManager<T extends XMLObject>`
Interface for specialization of `XMLObjectLoadSaveManager` implementations which track the modify times of requested data such that `load(String)` returns data only if the data associated with the key has been modified since the last request.
Classes in org.opensaml.core.xml.persist that implement XMLObjectLoadSaveManager
Modifier and Type
Class
Description
`class`
`AbstractConditionalLoadXMLObjectLoadSaveManager<T extends XMLObject>`
Abstract base class for `XMLObjectLoadSaveManager` implementations which track the modify times of requested data such that `load(String)` returns data only if the data associated with the key has been modified since the last request.
`class`
`FilesystemLoadSaveManager<T extends XMLObject>`
Implementation of `XMLObjectLoadSaveManager` which uses a local filesystem to load and store serialized XML.
`class`
`MapLoadSaveManager<T extends XMLObject>`
Simple implementation of `XMLObjectLoadSaveManager` which uses an in-memory map.

## Uses of XMLObjectLoadSaveManager in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as XMLObjectLoadSaveManager
Modifier and Type
Field
Description
`private XMLObjectLoadSaveManager<EntityDescriptor>`
AbstractDynamicMetadataResolver.`persistentCacheManager`
The manager for the persistent cache store for resolved metadata.
`private XMLObjectLoadSaveManager<XMLObject>`
LocalDynamicMetadataResolver.`sourceManager`
The manager for the local store of metadata.
Methods in org.opensaml.saml.metadata.resolver.impl that return XMLObjectLoadSaveManager
Modifier and Type
Method
Description
`XMLObjectLoadSaveManager<EntityDescriptor>`
AbstractDynamicMetadataResolver.`ensurePersistentCacheManager()`
Get the manager for the persistent cache store for resolved metadata, raising a `ConstraintViolationException` if null.
`XMLObjectLoadSaveManager<EntityDescriptor>`
AbstractDynamicMetadataResolver.`getPersistentCacheManager()`
Get the manager for the persistent cache store for resolved metadata.
Methods in org.opensaml.saml.metadata.resolver.impl with parameters of type XMLObjectLoadSaveManager
Modifier and Type
Method
Description
`void`
AbstractDynamicMetadataResolver.`setPersistentCacheManager(XMLObjectLoadSaveManager<EntityDescriptor> manager)`
Set the manager for the persistent cache store for resolved metadata.
Constructors in org.opensaml.saml.metadata.resolver.impl with parameters of type XMLObjectLoadSaveManager
Modifier
Constructor
Description
``
`LocalDynamicMetadataResolver(Timer backgroundTaskTimer, XMLObjectLoadSaveManager<XMLObject> manager, Function<CriteriaSet,String> keyGenerator)`
Constructor.
``
`LocalDynamicMetadataResolver(XMLObjectLoadSaveManager<XMLObject> manager)`
Constructor.
``
`LocalDynamicMetadataResolver(XMLObjectLoadSaveManager<XMLObject> manager, Function<CriteriaSet,String> keyGenerator)`
Constructor.